Page MenuHomePhabricator

[clang-tidy] Enable Python 3 support for add_new_check.py
ClosedPublic

Authored by jbcoe on Mar 7 2018, 10:51 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

jbcoe created this revision.Mar 7 2018, 10:51 AM
alexfh edited reviewers, added: ilya-biryukov; removed: alexfh.Mar 7 2018, 11:52 PM
ilya-biryukov added inline comments.Mar 8 2018, 3:25 AM
clang-tools-extra/clang-tidy/add_new_check.py
24 ↗(On Diff #137433)

readlines() returns a list in Python3 too.
Maybe remove list comprehension?

jbcoe updated this revision to Diff 137646.Mar 8 2018, 1:11 PM
jbcoe marked an inline comment as done.
ilya-biryukov accepted this revision.Mar 9 2018, 2:08 AM

LGTM. Thanks for the fix!

This revision is now accepted and ready to land.Mar 9 2018, 2:08 AM
This revision was automatically updated to reflect the committed changes.